RefreshPlatformToken

POST/platform/auth/v1/refresh

Request Body

required
application/json
{
  "$ref": "#/components/schemas/platformauth.v1.RefreshPlatformTokenRequest",
  "$ref-value": {
    "type": "object",
    "properties": {
      "refresh_token": {
        "type": "string",
        "examples": [
          "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
        ],
        "title": "refresh_token",
        "minLength": 1
      }
    },
    "title": "RefreshPlatformTokenRequest",
    "required": [
      "refresh_token"
    ],
    "additionalProperties": false
  }
}

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/platformauth.v1.TokenResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "access_token": {
        "type": "string",
        "examples": [
          "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
        ],
        "title": "access_token"
      },
      "refresh_token": {
        "type": "string",
        "examples": [
          "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
        ],
        "title": "refresh_token"
      },
      "token_type": {
        "type": "string",
        "examples": [
          "Bearer"
        ],
        "title": "token_type"
      },
      "expires_in": {
        "type": "string",
        "examples": [
          "3600"
        ],
        "title": "expires_in",
        "format": "int64"
      },
      "expires_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "expires_at"
      }
    },
    "title": "TokenResponse",
    "additionalProperties": false
  }
}
curl -X POST "https://api.rixl.com/platform/auth/v1/refresh" \
  -H "Content-Type: application/json" \
  -d '{
    "refresh_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
  }'

Success

application/json

{
  "$ref": "#/components/schemas/platformauth.v1.TokenResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "access_token": {
        "type": "string",
        "examples": [
          "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
        ],
        "title": "access_token"
      },
      "refresh_token": {
        "type": "string",
        "examples": [
          "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
        ],
        "title": "refresh_token"
      },
      "token_type": {
        "type": "string",
        "examples": [
          "Bearer"
        ],
        "title": "token_type"
      },
      "expires_in": {
        "type": "string",
        "examples": [
          "3600"
        ],
        "title": "expires_in",
        "format": "int64"
      },
      "expires_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "expires_at"
      }
    },
    "title": "TokenResponse",
    "additionalProperties": false
  }
}